SELECT A.CD_TRIAG AS id_screening, A.CD_TRIAG AS screening_code, 
A.QT_PESO AS weight, A.NU_HEMAT AS hematocrit, A.NU_HEMOG AS hemoglobin,
A.QT_TEMPE AS temperature, A.QT_PRESSMIN AS min_blood_pressure, 
A.QT_PRESSMAX AS max_blood_pressure, A.QT_PULSO AS pulse, 
B.CD_RESP3_ORIG AS received_transfusion, B.CD_RESP4 AS transfusion_year, 
B.CD_RESP5 AS pregnant_before, B.CD_RESP6 AS number_pregnancies, 
B.CD_RESP9 AS number_sexual_partners, C.ST_DOAPREV AS has_given_blood,
C.CD_LOCCO AS location_mobility, D.CD_ENTJU AS location_code, E.MD_ALTUR_ORIG AS height
FROM OBJ150 A LEFT OUTER JOIN OBJ160A B
ON A.CD_TRIAG = B.CD_TRIAG
LEFT OUTER JOIN OBJ140 C
ON A.CD_PESFI = C.CD_PESFI
LEFT OUTER JOIN OBJ110 D
ON C.CD_DOACA = D.CD_DOACA
LEFT OUTER JOIN OBJ025 E
ON A.CD_PESFI = E.CD_PESFI

drop table screening;

use stage;
create table SCREENING (
    id_screening varchar(20) primary key not null,
    screening_code varchar(20) not null,
    id_donor varchar(13) not null
    constraint fk_id_donor_screening foreign key (id_donor) references donor(id_donor),
    donor_code varchar(13) not null,    
    visit_date date,
    height int,
    weight int, 
    received_transfusion int, 
    transfusion_year int,
    education_level int, 
    has_given_blood int,
    pregnant_before int, 
    number_pregnancies int, 
    hemoglobin numeric,
    hematocrit int,
    cue int, 
    temperature decimal(5,2),
    min_blood_pressure int,
    max_blood_pressure int,
    pulse int, 
    number_sexual_partners int, 
    location_mobility int, 
    location_code int, 
    has_donation_history int, 
    has_search_history int, 
    last_donation_date varchar(50),
    status int
)



/*alter table screening 
drop constraint fk_id_donor_screening;*/


/*alter table screening 
add constraint fk_id_donor foreign key(id_donor) references donor(id_donor);*/

select * from obj151

